"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateItem = exports.generate = void 0;
function generate(items) {
    const _items = items.map((item) => generateItem(item));
    return _items.join('\n\n');
}
exports.generate = generate;
function generateItem(item) {
    const { Host, ...rest } = item;
    const mainLine = `Host ${Host}`;
    const subLines = Object.keys(rest).map((key) => {
        const value = rest[key];
        return `  ${key} ${value}`;
    });
    return [mainLine, ...subLines].join('\n');
}
exports.generateItem = generateItem;
