"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseItem = exports.parse = void 0;
function parse(configString) {
    const _items = configString.replace(/\n{3,}/, '\n\n').split('\n\n');
    return _items
        .map((_item) => {
        return parseItem(_item);
    })
        .filter((e) => !!e);
}
exports.parse = parse;
function parseItem(itemText) {
    const _item = itemText.split('\n').reduce((item, text) => {
        if (/^\s.*#/.test(text)) {
            return item;
        }
        else if (!text.replace(/\s+/, '')) {
            return item;
        }
        const parts = text.trim().replace(/\s+/, ' ').split(' ');
        const key = parts[0];
        const value = parts.slice(1).join(' ');
        item[key] = value;
        return item;
    }, {});
    return _item.Host ? _item : null;
}
exports.parseItem = parseItem;
